import request from '../utils/request'

export function getJsApiSHA1(url) {
  return request({
    url: '/wxApi/getJsApiSHA1',
    method: 'get',
    params: { url },
  })
}

export function createPayOrder(data) {
  return request({
    url: '/wxApi/createPayOrder',
    method: 'post',
    data,
  })
}

export function queryOrderState(tradeNo) {
  return request({
    url: '/wxApi/queryOrderState',
    method: 'get',
    params: { tradeNo },
  })
}
